3 Replies Latest reply on Oct 17, 2019 1:47 PM by jyee

    Petalinux 2019.1 support for UltraZed-3EG?

    dlmcc

      I'm trying to use the Ultrazed-3EG + IO carrier card with the new Vivado/Petalinux 2019.1 and have run into several issues:

       

      1) The SD card works under linux at 50 MHz using out-of-box support (vintage 2017), but only at 25 MHz with new 4.19 kernel.  I had to reduce the speed for sdhci1 with a custom system-conf.dtsi file.  But at least it functions and I can mount the root file system.

       

      2) Ethernet probe fails:

      [   13.675279] libphy: MACB_mii_bus: probed

      [   13.681711] macb ff0e0000.ethernet eth0: Could not attach to PHY

       

      and if I change the phy mii address to 9 in the system-conf.dtsi (per Avnet hardware update advice) I then get:

      [   13.678867] libphy: MACB_mii_bus: probed

      [   13.683259] macb ff0e0000.ethernet eth0: Could not attach to PHY

      [   13.719786] macb: probe of ff0e0000.ethernet failed with error -22

       

      3) There is also a clock issue (possibly related to display port driver):

      [    3.673463] zynqmp_pll_disable() clock disable failed for dpll_int, ret = -13

      [    3.682268] ------------[ cut here ]------------

      [    3.686884] More than allowed devices are using the vpll_int, which is forbidden

       

      and:

      [    3.955451] zynqmp_pll_set_rate() set divider failed for vpll_int, ret = -87

      [    3.962599] zynqmp_clk_divider_set_rate() set divider failed for dp_stc_ref_div1, ret = -22

      [    3.972398] ------------[ cut here ]------------

      [    3.977015] More than allowed devices are using the vpll_int, which is forbidden

       

      Issue 3 does not concern me but issue 2 with ethernet is a big problem.  Has anyone at Avnet tried this board with 2019.1?

        • Re: Petalinux 2019.1 support for UltraZed-3EG?
          drozwood90

          Hi there,

           

          We have not migrated to 2019.1 at this time.  We have plans to get there eventually, however at this time we have not tried to support this version of PetaLinux.

          I'll have to see if one of our software developers can take a look to point you in the right direction, however our assistance will be limited at this time as we have not begun working with the 2019.1 PetaLinux images for the UltraZed-EG platform as of this posting.

           

          --Dan

          • Re: Petalinux 2019.1 support for UltraZed-3EG?
            100padudle

            Hello,

            I found a way to run Petalinux 2019.1 on the Ultrazed.  What I did is create my own Petalinux BSP by stealing the system-user.dtsi from the last published BSP from Avnet.  (Those .bsp files are just compressed archives of a Petalinux project.  I think it is in .tar.gz format.)  Then I ran Petalinux the usual way using this new .bsp file.

             

            I have full instructions on how to do this.  I can probably share them. Let me know.

             

                Pete

            2 of 2 people found this helpful